Centos 7 通过yum安装高版本git

服务器的系统为Centos 7.6版本,通过yum install git安装的git版本为1.8

为了使用git命令方便,所以配置了一些别名,但是在使用的时候发现,由于版本太低导致一些命令的配置参数无法识别,所以计划给git升级更高版本。

通常升级可能通过直接下载git源码通过编译安装替换原有的git版本。

不过我又找到了一种升级方式,可能升级的不是最新版本,但是至少是较高的版本了。

  1. 卸载系统本身的git
git remove git -y
  1. 安装git
yum install git2u-all -y

如果安装不正常,可能需要先安装以下依赖。

  • 安装开发工具
yum groupinstall "Development Tools" -y
  • 安装依赖库
yum install gettext-devel openssl-devel perl-CPAN perl-devel zlib-devel -y
  • 从IUS安装centos7 repo
yum install https://centos7.iuscommunity.org/ius-release.rpm -y
© 版权声明
THE END
喜欢就支持以下吧
点赞0
评论 抢沙发